Altibase.jdbc.driver.cm

## Class CmOperation

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmOperation

    public class CmOperation
    extends java.lang.Object

### Field Summary

Fields
`static short` `CONNECT_MODE_NORMAL`
`static short` `CONNECT_MODE_SYSDBA`
`static short` `FREE_ALL_RESULTSET`
`static int` `WRITE_STRING_MODE_DB`
`static int` `WRITE_STRING_MODE_NCHAR`
`static int` `WRITE_STRING_MODE_NLITERAL`

### Constructor Summary

Constructors
Constructor and Description
`CmOperation()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getOperationName(int aOp)` aOp에 해당하는 Operation 이름을 얻는다.
`static java.lang.String` `getOperationName(int aOp, boolean aWithID)` aOp에 해당하는 Operation 이름을 얻는다.
`static void` `readProtocolResult(CmProtocolContext aContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONNECT_MODE_NORMAL

    public static final short CONNECT_MODE_NORMAL

See Also:
  Constant Field Values

#### CONNECT_MODE_SYSDBA

    public static final short CONNECT_MODE_SYSDBA

See Also:
  Constant Field Values

#### FREE_ALL_RESULTSET

    public static final short FREE_ALL_RESULTSET

See Also:
  Constant Field Values

#### WRITE_STRING_MODE_DB

    public static final int WRITE_STRING_MODE_DB

See Also:
  Constant Field Values

#### WRITE_STRING_MODE_NCHAR

    public static final int WRITE_STRING_MODE_NCHAR

See Also:
  Constant Field Values

#### WRITE_STRING_MODE_NLITERAL

    public static final int WRITE_STRING_MODE_NLITERAL

See Also:
  Constant Field Values

### Constructor Detail

#### CmOperation

    public CmOperation()

### Method Detail

#### readProtocolResult

    public static void readProtocolResult(CmProtocolContext aContext)
                                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getOperationName

    public static java.lang.String getOperationName(int aOp)

aOp에 해당하는 Operation 이름을 얻는다.

Parameters:
  `aOp` - Operation Code
Returns:
  Operation 이름

#### getOperationName

    public static java.lang.String getOperationName(int aOp,
                                                    boolean aWithID)

aOp에 해당하는 Operation 이름을 얻는다.

aWithID를 true로 주면 'OPERATION_NAME(99)'와 같이 ID값이 포함된 형태로 준다.

Parameters:
  `aOp` - Operation Code
  `aWithID` - ID값이 포함된 형태로 얻을것인지 여부
Returns:
  Operation 이름